Name:          python-requests-toolbelt
Version:       1.0.0
Release:       2mamba
Summary:       A collection of utilities for python-requests
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://toolbelt.readthedocs.io/en/latest/
Source:        http://pypi.debian.net/requests-toolbelt/requests-toolbelt-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(requests)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n requests-toolbelt-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/requests_toolbelt-%{version}-py*.egg-info
%{python_sitearch}/requests_toolbelt-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 1.0.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon May 01 2023 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Thu Oct 27 2022 Automatic Build System <autodist@mambasoft.it> 0.10.1-1mamba
- automatic version update by autodist

* Sun Oct 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.0-2mamba
- rebuilt with python 3.10

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-3mamba
- rebuilt with distdeps

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.1-2mamba
- rebuilt with py3* packages

* Mon Feb 04 2019 Automatic Build System <autodist@mambasoft.it> 0.9.1-1mamba
- automatic version update by autodist

* Sun Jul 01 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.0-1mamba
- package created using the webbuild interface
